Package org.h2gis.functions.spatial.properties

## Class ST_InteriorRingN

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.properties.ST_InteriorRingN

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_InteriorRingN
    extends org.h2gis.api.DeterministicScalarFunction

Returns a LinearRing instance or Null if parameter is not a Polygon. `ST_NumInteriorRings`

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_InteriorRingN()` Default constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.LineString` `getInteriorRing​(org.locationtech.jts.geom.Geometry geometry, Integer n)`
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_InteriorRingN

    public ST_InteriorRingN()

Default constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### getInteriorRing

    public static org.locationtech.jts.geom.LineString getInteriorRing​(org.locationtech.jts.geom.Geometry geometry,
                                                                       Integer n)
                                                                throws SQLException

Parameters:
  `geometry` - Polygon
  `n` - Index of interior ring number n in [1-N]
Returns:
  Interior ring number n or NULL if parameter is null.
Throws:
  `SQLException`